Identify on multipoint layer displays useless derived x and y values

2008-09-21 06:55 AM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11384

Description

When Identifying a multipoint object the results window shows derived values x=0 and y=0 which is meaningless.

Consider not displaying anything. Alternatively, display component points' x,y values, but this is not a good idea when there are more than

a few component points.

History

#1 - 2008-10-22 10:35 AM - Magnus Homann

- Status changed from Open to In Progress

Can you provide a sample multi-point vector, please?

#2 - 2008-10-22 08:14 PM - Steven Mizuno

Replying to [comment:1 homann]:

Can you provide a sample multi-point vector, please?

The shapefile in the .zip archive contains a few points near 500000, 5000000 in epsg:26915. This was exported from [[PostGIS]].

#3 - 2010-05-11 03:22 PM - Jeremy Palmer

I have attached a patch that ensures that multi-line and multi-point features do not show any derived information in the identify tool.

#4 - 2010-05-12 03:51 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from In Progress to Closed

applied in commit:a78b51e3 (SVN r13472). Thanks.

Files

multipoint.zip 1.01 KB 2008-10-22 Steven Mizuno

identify_derived_multi_geom.diff 1.76 KB 2010-05-11 Jeremy Palmer
